#!/bin/sh
#Convert L1C Products to L2A using L2A_Process
filename=$1	#L1C Filename

#cd $INPUTDIR/L2A
#echo $filename
Z1=$(echo $(echo $filename | cut -d "_" -f1) | cut -d "/" -f3)
Z2=$(echo $filename | cut -d "_" -f3,4,5,6,7 | cut -d "." -f1)
#echo $Z1
#echo $Z2
L2A=$Z1"_MSIL2A_"$Z2
#echo $L2A.zip
if [ ! -e  $L2A.zip ]; then
	echo "Processing: " $filename
	unzip -o $filename
	DIRNAME=$(echo $filename | cut -d "/" --complement -f1,2)
	DIRNAME=$(echo $DIRNAME | cut -d "." -f1).SAFE
#	echo "DIRNAME: "$DIRNAME
	L2A_Process $DIRNAME

	zip -r $L2A.zip $L2A.SAFE/
	rm -r $L2A.SAFE/
	rm -r $DIRNAME/
else
	echo "PASSING: " $filename " found"
fi
#echo ../L1C/S2B_MSIL1C_20180915T162859_N0206_R083_T15QZD_20180915T215031.zip | cut -d "." -f1,2
#S2B_MSIL2A_20180915T162859_N0206_R083_T15QZD_20180915T215031.zip
